<VirtualHost {{ zabbix_server_web_bind_ip }}:{{ zabbix_server_web_port }}>
  ServerName {{ zabbix_server_web_servername }}
  {% for alias in zabbix_server_web_aliases %}
  ServerAlias {{ alias }}
  {% endfor %}

  ## Vhost docroot
  DocumentRoot "/usr/share/zabbix"

{% if zabbix_server_web_tls_redirect and zabbix_server_web_certs %}
  RewriteEngine On
  RewriteCond %{HTTPS} !=on
  RewriteRule ^/?(.*) https://%{SERVER_NAME}/$1 [R,L]
{% endif %}

{% set directory_paths = ['/usr/share/zabbix/conf', '/usr/share/zabbix/app', '/usr/share/zabbix/include', '/usr/share/zabbix/include/classes'] %}

  <Directory "/usr/share/zabbix">
    <IfModule dir_module>
      DirectoryIndex index.php
    </IfModule>
    Options FollowSymLinks
    AllowOverride None
    Require all granted
    {% if zabbix_server_version is version('5.0', '>=') %}
    <FilesMatch \.(php|phar)$>
      SetHandler "proxy:unix:/var/opt/rh/rh-php72/run/php-fpm/zabbix.sock|fcgi://localhost"
    </FilesMatch>
    {% endif %}
  </Directory>

{% for my_path in directory_paths %}
  <Directory "{{ my_path }}">
    Require all denied
  </Directory>

{% endfor %}
  ## Logging
  ErrorLog "/var/log/{{ zabbix_server_web_log }}/{{ zabbix_server_web_servername }}_error.log"
  ServerSignature Off
  CustomLog "/var/log/{{ zabbix_server_web_log }}/{{ zabbix_server_web_servername }}_access.log" combined

  {% if zabbix_server_version is version('5.0', '<') %}
  ## Custom fragment
  php_value max_execution_time {{ zabbix_server_web_max_execution_time | default('300') }}
  php_value memory_limit {{ zabbix_server_web_memory_limit | default('128M') }}
  php_value post_max_size {{ zabbix_server_web_post_max_size | default('16M') }}
  php_value upload_max_filesize {{ zabbix_server_web_upload_max_filesize | default('2M') }}
  php_value max_input_time {{ zabbix_server_web_max_input_time | default('300') }}
  # Set correct timezone.
  php_value date.timezone {{ zabbix_server_web_timezone }}
  {% endif %}
</VirtualHost>

{# Set up TLS vhosts #}
{% if zabbix_server_web_certs and zabbix_server_web_tls_port %}

SSLPassPhraseDialog {{ zabbix_server_web_SSLPassPhraseDialog }}
SSLSessionCache         {{ zabbix_server_web_SSLSessionCache }}
SSLSessionCacheTimeout  {{ zabbix_server_web_SSLSessionCacheTimeout }}
SSLRandomSeed startup file:/dev/urandom  256
SSLRandomSeed connect builtin
SSLCryptoDevice {{ zabbix_server_web_SSLCryptoDevice }}

<VirtualHost _default_:{{ zabbix_server_web_tls_port }}>
  ServerName {{ zabbix_server_web_servername }}
  {% for alias in zabbix_server_web_aliases %}
  ServerAlias {{ alias }}
  {% endfor %}

  ## Vhost docroot
  DocumentRoot "/usr/share/zabbix"

  SSLEngine on
  SSLCipherSuite {{ zabbix_server_web_tls_ciphers }}
  SSLProtocol {{ zabbix_server_web_tls_version }}
  SSLHonorCipherOrder On
  SSLCertificateFile {{ zabbix_server_web_crt_path }}
  SSLCertificateKeyFile {{ zabbix_server_web_key_path }}
{% if zabbix_server_web_tls_chain %}
  SSLCertificateChainFile {{ zabbix_server_web_tls_chain }}
{% endif %}

{% set directory_paths = ['/usr/share/zabbix/conf', '/usr/share/zabbix/app', '/usr/share/zabbix/include', '/usr/share/zabbix/include/classes'] %}

  <Directory "/usr/share/zabbix">
    <IfModule dir_module>
      DirectoryIndex index.php
    </IfModule>
    {% if zabbix_server_version is version('5.0', '>=') %}
    <FilesMatch \.(php|phar)$>
      SetHandler "proxy:unix:/var/opt/rh/rh-php72/run/php-fpm/zabbix.sock|fcgi://localhost"
    </FilesMatch>
    {% endif %}
    Options FollowSymLinks
    AllowOverride None
    Require all granted
  </Directory>

{% for my_path in directory_paths %}
  <Directory "{{ my_path }}">
    Require all granted
  </Directory>

{% endfor %}
  ## Logging
  ErrorLog "/var/log/{{ zabbix_server_web_log }}/{{ zabbix_server_web_servername }}_tls_error.log"
  ServerSignature Off
  CustomLog "/var/log/{{ zabbix_server_web_log }}/{{ zabbix_server_web_servername }}_tls_access.log" combined

  {% if zabbix_server_version is version('5.0', '<') %}
  ## Custom fragment
  php_value max_execution_time {{ zabbix_server_web_max_execution_time | default('300') }}
  php_value memory_limit {{ zabbix_server_web_memory_limit | default('128M') }}
  php_value post_max_size {{ zabbix_server_web_post_max_size | default('16M') }}
  php_value upload_max_filesize {{ zabbix_server_web_upload_max_filesize | default('2M') }}
  php_value max_input_time {{ zabbix_server_web_max_input_time | default('300') }}
  # Set correct timezone.
  php_value date.timezone {{ zabbix_server_web_timezone }}
  {% endif %}
</VirtualHost>
{% endif %}
